Immediate Post-Upgrade Shutdown/Reboot Failure [Solved]

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :)

Moderator: Moderators

Post Reply
VolvoBirkenstock
Advanced Hen
Posts: 216
Joined: Sun Mar 31, 2013 5:34

Immediate Post-Upgrade Shutdown/Reboot Failure [Solved]

Post by VolvoBirkenstock » Sun Sep 01, 2019 1:14

Hello, Sabayon Gurus.

I run sabayon-weekly and I upgrade every weekend. I have just performed upgrades on two Sabayon KDE systems running 5.0 and 5.1 kernels. When I attempt to shutdown/reboot using the Application Launcher, I am logged out of the system and presented with the login user interface. When I attempt to shutdown/reboot using the command line (after su to root), I receive the following message via stdout/stderr: "Failed to talk to init daemon."

How do I safely shutdown the system now? Should I attempt to un-mount all hard drives and then cut power? Is there a work-around for this problem?

A little more information. I attempted "systemctl reboot" and obtained the following results:

Code: Select all

Failed to reboot system via logind: Unit systemd-reboot.service has a bad unit file setting.
Failed to start reboot.target: Access denied
See system logs and 'systemctl status reboot.target' for details.
Just to add a little more joy to this process, I performed "systemctl status reboot.target", which returned "Failed to get properties: Access denied".

I did look at system logs, specifically using journalctl -b 0, and found the following:

Code: Select all

systemd[1]: systemd-reboot.service: Service lacks both ExecStart= and ExecStop= setting. Refusing.
systemd-logind[891]: System is rebooting.
systemd[1]: systemd-reboot.service: Service lacks both ExecStart= and ExecStop= setting. Refusing.
Thank you very much in advance.
Volvo
Last edited by VolvoBirkenstock on Sun Sep 01, 2019 21:39, edited 1 time in total.

VolvoBirkenstock
Advanced Hen
Posts: 216
Joined: Sun Mar 31, 2013 5:34

Re: Immediate Post-Upgrade Shutdown/Reboot Failure

Post by VolvoBirkenstock » Sun Sep 01, 2019 3:12

I went looking for all files named "*.service". This is what I found inside /etc using "find . -name "*service" -print":

Code: Select all

./avahi/services/ssh.service
./avahi/services/sftp-ssh.service
./systemd/system/network-online.target.wants/NetworkManager-wait-online.service
./systemd/system/dbus-org.freedesktop.nm-dispatcher.service
./systemd/system/display-manager.service
./systemd/system/dbus-org.freedesktop.ModemManager1.service
./systemd/system/sysinit.target.wants/systemd-timesyncd.service
./systemd/system/printer.target.wants/cups.service
./systemd/system/dbus-org.freedesktop.Avahi.service
./systemd/system/getty.target.wants/[email protected]vice
./systemd/system/dbus-org.freedesktop.timesync1.service
./systemd/system/multi-user.target.wants/cups-browsed.service
./systemd/system/multi-user.target.wants/NetworkManager.service
./systemd/system/multi-user.target.wants/lm_sensors.service
./systemd/system/multi-user.target.wants/ModemManager.service
./systemd/system/multi-user.target.wants/x-setup.service
./systemd/system/multi-user.target.wants/avahi-daemon.service
Do I now have missing service descriptions/configurations for shutdown/reboot?

VolvoBirkenstock
Advanced Hen
Posts: 216
Joined: Sun Mar 31, 2013 5:34

Re: Immediate Post-Upgrade Shutdown/Reboot Failure

Post by VolvoBirkenstock » Sun Sep 01, 2019 3:20

I found the following:
/lib64/systemd/system/systemd-reboot.service
/lib64/systemd/system/systemd-poweroff.service
Their contents, respectively, are:

Code: Select all

[Unit]
Description=Reboot
Documentation=man:systemd-halt.service(8)
DefaultDependencies=no
Requires=shutdown.target umount.target final.target
After=shutdown.target umount.target final.target
SuccessAction=reboot-force

[Unit]
Description=Power-Off
Documentation=man:systemd-halt.service(8)
DefaultDependencies=no
Requires=shutdown.target umount.target final.target
After=shutdown.target umount.target final.target
SuccessAction=poweroff-force
I need help here. I don't know what I should do, if anything, to the contents of these files.

VolvoBirkenstock
Advanced Hen
Posts: 216
Joined: Sun Mar 31, 2013 5:34

Re: Immediate Post-Upgrade Shutdown/Reboot Failure

Post by VolvoBirkenstock » Sun Sep 01, 2019 6:13

I don't know if this will help, but the following is pulled from /var/log/entropy/entropy.log:

Code: Select all

[18:29:13 31/08/2019 CDT] INFO: [Package] [client] Installing package: sys-apps/systemd-242-r3
[18:29:13 31/08/2019 CDT] INFO: [Package] [client] Protecting config file: /etc/systemd/resolved.conf
[18:29:13 31/08/2019 CDT] INFO: [Package] [client] Protecting config file: /etc/systemd/system.conf
[18:29:13 31/08/2019 CDT] INFO: [Package] [client] Protecting config file: /etc/systemd/journald.conf

[18:29:13 31/08/2019 CDT] INFO: [Package] [client] WARNING!!! Failed to handle file protection for: /etc/sysctl.d/99-sysctl.conf, broken symlink in package

[18:29:13 31/08/2019 CDT] INFO: [Package] [client] Protecting config file: /etc/udev/udev.conf
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: sys-fs/dosfstools-4.1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: dev-libs/libcec-4.0.2-r2
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: net-wireless/bluez-5.50-r3
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: net-misc/ofono-1.29
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: x11-drivers/xf86-video-vmware-13.3.0
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: x11-drivers/xf86-video-intel-2.99.917_p20190301
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: x11-drivers/xf86-video-openchrome-0.6.0
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: app-emulation/libvirt-5.2.0-r2
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: kde-plasma/powerdevil-5.16.4
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: net-wireless/gnome-bluetooth-3.28.2
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: sys-boot/plymouth-0.9.4-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: app-admin/system-config-printer-1.5.11-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: x11-drivers/xf86-input-wacom-0.36.0-r2
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: x11-drivers/xf86-video-nouveau-1.0.16
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: dev-libs/libatasmart-0.19-r2
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: dev-libs/libgudev-232
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: media-libs/libcanberra-0.30-r5
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: dev-libs/libinput-1.13.4
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: dev-qt/qtgui-5.12.4
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: kde-frameworks/solid-5.61.0
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: media-libs/clutter-1.26.2-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: x11-drivers/xf86-video-amdgpu-19.0.1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: x11-drivers/xf86-input-evdev-2.10.6
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: media-tv/kodi-18.3-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: app-emulation/wine-staging-3.21
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: sys-apps/usbutils-010-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: media-video/vlc-3.0.7.1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: x11-drivers/xf86-video-qxl-0.1.5
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: gnome-base/gnome-desktop-3.30.2.1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: kde-plasma/kwin-5.16.4
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: sys-libs/libblockdev-2.21
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: x11-drivers/xf86-input-vmmouse-13.1.0-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: dev-libs/libusb-1.0.21
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: app-emulation/wine-any-3.21
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: net-misc/networkmanager-1.16.0
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: sys-apps/pcsc-lite-1.8.24
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: sys-fs/multipath-tools-0.5.0-r99
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: sys-fs/zfs-0.8.1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: sys-fs/lvm2-2.02.183
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: sys-apps/pciutils-3.5.6
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: sys-cluster/ceph-12.2.8-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: x11-base/xorg-server-1.20.5
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: x11-drivers/xf86-video-ati-19.0.1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: media-sound/pulseaudio-12.2-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: net-misc/dhcpcd-7.2.3
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: sys-apps/util-linux-2.33.2
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libudev.so.1.6.11, due to package: media-libs/libv4l-1.16.3
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: app-emulation/xen-tools-4.10.3-r2
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: net-nds/rpcbind-0.2.4-r3
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: net-libs/libvncserver-0.9.12-r2
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: x11-misc/sddm-0.18.0
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: app-admin/syslog-ng-3.17.2
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: kde-apps/ksystemlog-19.04.3
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: sys-fs/udisks-2.8.4
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: sys-auth/realmd-0.16.2
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: sys-apps/dbus-1.12.16
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: app-editors/emacs-26.2
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: app-admin/packagekit-base-1.1.12
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: dev-db/mariadb-10.3.16
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: net-print/cups-2.2.11
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: dev-qt/qtcore-5.12.4
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: net-vpn/openvpn-2.4.6
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: sys-apps/accountsservice-0.6.50-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: net-fs/samba-4.9.11
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: media-video/vlc-3.0.7.1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: app-emulation/spice-vdagent-0.17.0_p20180319-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: net-misc/modemmanager-1.10.0
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: net-misc/networkmanager-1.16.0
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: sys-apps/pcsc-lite-1.8.24
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: sys-auth/polkit-0.115-r4
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: gnome-base/gvfs-1.38.3
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: sys-process/procps-3.3.15-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: sys-apps/smartmontools-7.0-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: x11-apps/xdm-1.1.12
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: sys-fs/multipath-tools-0.5.0-r99
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: sys-apps/gnome-disk-utility-3.30.2-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: media-gfx/sane-backends-1.0.27-r3
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: x11-base/xorg-server-1.20.5
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: app-antivirus/clamav-0.101.3
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: media-sound/pulseaudio-12.2-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib64/libsystemd.so.0.23.0, due to package: sys-apps/util-linux-2.33.2
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib32/libudev.so.1.6.11, due to package: net-misc/networkmanager-1.16.0
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib32/libudev.so.1.6.11, due to package: sys-apps/pciutils-3.5.6
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib32/libudev.so.1.6.11, due to package: dev-libs/libgudev-232
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib32/libudev.so.1.6.11, due to package: app-emulation/wine-any-3.21
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib32/libudev.so.1.6.11, due to package: app-emulation/wine-staging-3.21
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib32/libudev.so.1.6.11, due to package: dev-libs/libusb-1.0.21
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib32/libudev.so.1.6.11, due to package: media-libs/libv4l-1.16.3
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Protecting library /lib32/libsystemd.so.0.23.0, due to package: media-sound/pulseaudio-12.2-r1
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] [remove] skipping removal of: /lib64/libudev.so.1.6.11
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] [remove] skipping removal of: /lib64/libsystemd.so.0.23.0
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] [remove] skipping removal of: /lib32/libudev.so.1.6.11
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] [remove] skipping removal of: /lib32/libsystemd.so.0.23.0
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Removing library /lib64/libudev.so.1.6.11 [libudev.so.1:2]
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Removing library /lib64/libsystemd.so.0.23.0 [libsystemd.so.0:2]
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Removing library /lib32/libudev.so.1.6.11 [libudev.so.1:1]
[18:29:18 31/08/2019 CDT] INFO: [Package] [client] Removing library /lib32/libsystemd.so.0.23.0 [libsystemd.so.0:1]
[18:29:18 31/08/2019 CDT] INFO: [Trigger] [client] [POST] Running env_update
[18:29:19 31/08/2019 CDT] INFO: [Package] [client] Remove old package (spm data): sys-apps/systemd-239-r4
[18:29:19 31/08/2019 CDT] INFO: [Package] [client] Removing from SPM: sys-apps/systemd-239-r4
[18:29:19 31/08/2019 CDT] INFO: [Package] [client] Installing new SPM entry: sys-apps/systemd-242-r3
[18:29:19 31/08/2019 CDT] INFO: [Trigger] [client] [POST] Running env_update
 * Running udev control --reload for reloading rules and databases ...                                                                   [ ok ]
Created symlink /etc/systemd/system/multi-user.target.wants/machines.target ’ /lib/systemd/system/machines.target.
Created symlink /etc/systemd/system/multi-user.target.wants/remote-cryptsetup.target ’ /lib/systemd/system/remote-cryptsetup.target.
Created symlink /etc/systemd/system/multi-user.target.wants/remote-fs.target ’ /lib/systemd/system/remote-fs.target.
Created symlink /etc/systemd/system/getty.target.wants/[email protected] ’ /lib/systemd/system/[email protected]
 * Reexecuting system manager ...

Failed to reload daemon: Access denied                                                                                                   [ !! ]

Building /boot/initramfs-genkernel-x86_64-4.20.0-sabayon
Building /boot/initramfs-genkernel-x86_64-5.0.0-sabayon

VolvoBirkenstock
Advanced Hen
Posts: 216
Joined: Sun Mar 31, 2013 5:34

Re: Immediate Post-Upgrade Shutdown/Reboot Failure

Post by VolvoBirkenstock » Sun Sep 01, 2019 15:43

I don't know that this will help, but my desktop system is AMD and runs a Radeon GPU.

The other system (laptop) runs an Intel CPU and an on-board GPU, either Nvidia or Intel; I can't be sure, because I've been up all night trying to figure this out.

It looks like this isn't a hardware-dependent issue.

The desktop was LFC'd on 22 March 2019 using the Sabayon Linux 19.03 amd64 KDE ISO (from sabayon-edition) and the allegedly current release is amd64 19.08 (from sabayon-release). Yes, I upgraded it last weekend, but it didn't do anything. On the other hand, the laptop accepted one package only last weekend. ...a very terse upgrade...

joost
Sagely Hen
Posts: 2742
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands
Contact:

Re: Immediate Post-Upgrade Shutdown/Reboot Failure

Post by joost » Sun Sep 01, 2019 16:57

I had the same issue while new systemd was still in Limbo testing repo.

All I can tell is that after a reboot (I pressed the reset button) everything worked fine again.
This update is not in weekly repo yet, I hope we (ever) find a good solution for this issue. Team is aware of this.
My blog | Mastodon | Please support Sabayon: Become a Patron

VolvoBirkenstock
Advanced Hen
Posts: 216
Joined: Sun Mar 31, 2013 5:34

Re: Immediate Post-Upgrade Shutdown/Reboot Failure

Post by VolvoBirkenstock » Sun Sep 01, 2019 17:09

Thank you for responding, Joost. My major concern with hitting the reset is the potential for data corruption. I prefer to unmount before I slam the door. ;-)

So, reset button it is. If the reset button "fixes" the issue, then that implies that the config/controls for systemd are out of sync with respect to the installed exec. Now, if that installed exec is "init" or something similar, then that makes it a bit difficult to replace the exec while running. There should be a more elegant method.

I will take the time to save off all of my data before hitting the reset button. I'll let you know how it works out. This will take a while, because my storage requirements are a bit on the large size.

Thank you.

joost
Sagely Hen
Posts: 2742
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands
Contact:

Re: Immediate Post-Upgrade Shutdown/Reboot Failure

Post by joost » Sun Sep 01, 2019 17:18

I was planning to keep this systemd update in Limbo until we had a better solution. Sadly it slipped trough while moving packages from Limbo into main repo. )o:
My blog | Mastodon | Please support Sabayon: Become a Patron

VolvoBirkenstock
Advanced Hen
Posts: 216
Joined: Sun Mar 31, 2013 5:34

Re: Immediate Post-Upgrade Shutdown/Reboot Failure

Post by VolvoBirkenstock » Sun Sep 01, 2019 21:39

After backing up my data, a hard reset resulted in the appropriate behavior subsequent to boot. All is well. I am marking this Solved.

Joost, developing a robust solution involving the termination of an active process when the process has no "off switch" other than "kill" is pretty difficult, especially when considering all the child processes. If one had to do this, then the state of that process would need to be transferred to the replacing process. That includes everything in memory, and inheriting all child processes. That sounds like a lot of work. :-) And even if the system recorded everything to file so that the replacing process could read it all and seamlessly take over, how does the designer avoid the situation where asynchronous process activity slightly changes the total state just prior to the take-over? It's easier to modify a running kernel than it is to modify something like init (given the circumstances), but that's just my humble opinion.

Thank you for your hard work!

joost
Sagely Hen
Posts: 2742
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands
Contact:

Re: Immediate Post-Upgrade Shutdown/Reboot Failure [Solved]

Post by joost » Mon Sep 02, 2019 18:22

sys-apps/systemd-242-r4 is now in weekly repo and should have a fix for this. previous version, sys-apps/systemd-242-r3 had this problem.
My blog | Mastodon | Please support Sabayon: Become a Patron

Post Reply